Chromium Code Reviews
Help | Chromium Project | Sign in
(2)

Issue 10984040: Enable gpu crash tests in content (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 7 months ago by yongsheng
Modified:
2 years, 6 months ago
CC:
chromium-reviews, joi+watch-content_chromium.org, darin-cc_chromium.org
Visibility:
Public.

Description

Enable gpu crash tests in content Use content and content shell for gpu crash tests BUG= TEST=content_browsertests Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=165622

Patch Set 1 #

Patch Set 2 : small change #

Total comments: 1

Patch Set 3 : refine #

Total comments: 1

Patch Set 4 : no new files #

Total comments: 5

Patch Set 5 : comments removal #

Total comments: 5

Patch Set 6 : remove 'DISABLED_' #

Patch Set 7 : Add TODO #

Total comments: 1

Patch Set 8 : remove todo #

Patch Set 9 : expose the symbol of kSkipGpuDataLoading to avoid compile errors #

Messages

Total messages: 42 (0 generated)
yongsheng
please help review. thanks.
2 years, 7 months ago (2012-09-27 02:09:57 UTC) #1
yongsheng
On 2012/09/27 02:09:57, yongsheng wrote: > please help review. thanks. test two cases on my ...
2 years, 7 months ago (2012-09-27 09:31:25 UTC) #2
yongsheng
On 2012/09/27 09:31:25, yongsheng wrote: > On 2012/09/27 02:09:57, yongsheng wrote: > > please help ...
2 years, 7 months ago (2012-09-27 09:41:47 UTC) #3
Zhenyao Mo
On 2012/09/27 09:41:47, yongsheng wrote: > On 2012/09/27 09:31:25, yongsheng wrote: > > On 2012/09/27 ...
2 years, 7 months ago (2012-09-27 17:33:08 UTC) #4
jam
On 2012/09/27 17:33:08, Zhenyao Mo wrote: > On 2012/09/27 09:41:47, yongsheng wrote: > > On ...
2 years, 7 months ago (2012-09-27 18:40:38 UTC) #5
jam
so is the plan that there will be two copies of the test until gpu_tests ...
2 years, 7 months ago (2012-09-27 18:42:37 UTC) #6
yongsheng
On 2012/09/27 17:33:08, Zhenyao Mo wrote: > On 2012/09/27 09:41:47, yongsheng wrote: > > On ...
2 years, 7 months ago (2012-09-28 02:32:10 UTC) #7
yongsheng
On 2012/09/27 18:40:38, John Abd-El-Malek wrote: > On 2012/09/27 17:33:08, Zhenyao Mo wrote: > > ...
2 years, 7 months ago (2012-09-28 02:33:43 UTC) #8
yongsheng
seems i don't have the permission to use try server with 'git try'.
2 years, 7 months ago (2012-09-28 08:13:24 UTC) #9
yongsheng
On 2012/09/28 08:13:24, yongsheng wrote: > seems i don't have the permission to use try ...
2 years, 7 months ago (2012-09-28 08:33:42 UTC) #10
jam
https://codereview.chromium.org/10984040/diff/2003/content/public/test/test_launcher_utils.h File content/public/test/test_launcher_utils.h (right): https://codereview.chromium.org/10984040/diff/2003/content/public/test/test_launcher_utils.h#newcode1 content/public/test/test_launcher_utils.h:1: // Copyright (c) 2011 The Chromium Authors. All rights ...
2 years, 7 months ago (2012-09-28 15:48:46 UTC) #11
Zhenyao Mo
On 2012/09/28 02:33:43, yongsheng wrote: > On 2012/09/27 18:40:38, John Abd-El-Malek wrote: > > On ...
2 years, 7 months ago (2012-09-28 16:36:23 UTC) #12
yongsheng
On 2012/09/28 15:48:46, John Abd-El-Malek wrote: > https://codereview.chromium.org/10984040/diff/2003/content/public/test/test_launcher_utils.h > File content/public/test/test_launcher_utils.h (right): > > https://codereview.chromium.org/10984040/diff/2003/content/public/test/test_launcher_utils.h#newcode1 ...
2 years, 7 months ago (2012-09-29 01:17:02 UTC) #13
yongsheng
On 2012/09/29 01:17:02, yongsheng wrote: > On 2012/09/28 15:48:46, John Abd-El-Malek wrote: > > > ...
2 years, 7 months ago (2012-09-29 02:17:32 UTC) #14
yongsheng
> > > i don't know why you created this file, i mentioned in my ...
2 years, 7 months ago (2012-09-29 02:33:33 UTC) #15
yongsheng
I'll be on holiday next week.
2 years, 7 months ago (2012-09-29 04:51:54 UTC) #16
jam
https://codereview.chromium.org/10984040/diff/15001/content/browser/gpu/gpu_crash_browsertest.cc File content/browser/gpu/gpu_crash_browsertest.cc (right): https://codereview.chromium.org/10984040/diff/15001/content/browser/gpu/gpu_crash_browsertest.cc#newcode20 content/browser/gpu/gpu_crash_browsertest.cc:20: // SimulateGPUCrash owns the passed 'shell', this should be ...
2 years, 7 months ago (2012-10-01 16:10:47 UTC) #17
yongsheng
thanks for review. http://codereview.chromium.org/10984040/diff/15001/content/browser/gpu/gpu_crash_browsertest.cc File content/browser/gpu/gpu_crash_browsertest.cc (right): http://codereview.chromium.org/10984040/diff/15001/content/browser/gpu/gpu_crash_browsertest.cc#newcode20 content/browser/gpu/gpu_crash_browsertest.cc:20: // SimulateGPUCrash owns the passed 'shell', ...
2 years, 6 months ago (2012-10-11 02:08:46 UTC) #18
yongsheng
On 2012/10/11 02:08:46, yongsheng wrote: > thanks for review. > > http://codereview.chromium.org/10984040/diff/15001/content/browser/gpu/gpu_crash_browsertest.cc > File content/browser/gpu/gpu_crash_browsertest.cc ...
2 years, 6 months ago (2012-10-15 01:10:32 UTC) #19
jam
https://codereview.chromium.org/10984040/diff/15001/content/browser/gpu/gpu_crash_browsertest.cc File content/browser/gpu/gpu_crash_browsertest.cc (right): https://codereview.chromium.org/10984040/diff/15001/content/browser/gpu/gpu_crash_browsertest.cc#newcode55 content/browser/gpu/gpu_crash_browsertest.cc:55: SimulateGPUCrash(shell.get()); On 2012/10/11 02:08:47, yongsheng wrote: > On 2012/10/01 ...
2 years, 6 months ago (2012-10-17 15:17:15 UTC) #20
yongsheng
On 2012/10/17 15:17:15, John Abd-El-Malek wrote: > https://codereview.chromium.org/10984040/diff/15001/content/browser/gpu/gpu_crash_browsertest.cc > File content/browser/gpu/gpu_crash_browsertest.cc (right): > > https://codereview.chromium.org/10984040/diff/15001/content/browser/gpu/gpu_crash_browsertest.cc#newcode55 ...
2 years, 6 months ago (2012-10-18 01:29:23 UTC) #21
Zhenyao Mo
Sorry for the delayed response: I am out of office for a few days. Yes, ...
2 years, 6 months ago (2012-10-22 22:54:33 UTC) #22
yongsheng
thanks for review. http://codereview.chromium.org/10984040/diff/25001/content/browser/gpu/gpu_crash_browsertest.cc File content/browser/gpu/gpu_crash_browsertest.cc (left): http://codereview.chromium.org/10984040/diff/25001/content/browser/gpu/gpu_crash_browsertest.cc#oldcode27 content/browser/gpu/gpu_crash_browsertest.cc:27: chrome::SelectPreviousTab(browser); On 2012/10/22 22:54:33, Zhenyao Mo ...
2 years, 6 months ago (2012-10-23 05:51:42 UTC) #23
Zhenyao Mo
LGTM On 2012/10/23 05:51:42, yongsheng wrote: > thanks for review. > > http://codereview.chromium.org/10984040/diff/25001/content/browser/gpu/gpu_crash_browsertest.cc > File ...
2 years, 6 months ago (2012-10-23 17:56:12 UTC) #24
yongsheng
On 2012/10/23 17:56:12, Zhenyao Mo wrote: > LGTM > > On 2012/10/23 05:51:42, yongsheng wrote: ...
2 years, 6 months ago (2012-10-24 01:03:15 UTC) #25
jam
https://codereview.chromium.org/10984040/diff/25001/content/browser/gpu/gpu_crash_browsertest.cc File content/browser/gpu/gpu_crash_browsertest.cc (left): https://codereview.chromium.org/10984040/diff/25001/content/browser/gpu/gpu_crash_browsertest.cc#oldcode27 content/browser/gpu/gpu_crash_browsertest.cc:27: chrome::SelectPreviousTab(browser); On 2012/10/23 05:51:42, yongsheng wrote: > On 2012/10/22 ...
2 years, 6 months ago (2012-10-24 20:13:04 UTC) #26
Zhenyao Mo
On 2012/10/24 20:13:04, John Abd-El-Malek wrote: > https://codereview.chromium.org/10984040/diff/25001/content/browser/gpu/gpu_crash_browsertest.cc > File content/browser/gpu/gpu_crash_browsertest.cc (left): > > https://codereview.chromium.org/10984040/diff/25001/content/browser/gpu/gpu_crash_browsertest.cc#oldcode27 ...
2 years, 6 months ago (2012-10-24 20:20:03 UTC) #27
apatrick_chromium
On 2012/10/24 20:20:03, Zhenyao Mo wrote: > On 2012/10/24 20:13:04, John Abd-El-Malek wrote: > > ...
2 years, 6 months ago (2012-10-26 01:06:01 UTC) #28
yongsheng
On 2012/10/26 01:06:01, apatrick_chromium wrote: > On 2012/10/24 20:20:03, Zhenyao Mo wrote: > > On ...
2 years, 6 months ago (2012-10-26 02:10:40 UTC) #29
Zhenyao Mo
So please remove the comments and let's land this.
2 years, 6 months ago (2012-10-26 22:02:05 UTC) #30
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/yongsheng.zhu@intel.com/10984040/47001
2 years, 6 months ago (2012-10-28 01:52:11 UTC) #31
I haz the power (commit-bot)
Presubmit check for 10984040-47001 failed and returned exit status 1. Running presubmit commit checks ...
2 years, 6 months ago (2012-10-28 01:52:16 UTC) #32
yongsheng
On 2012/10/28 01:52:16, I haz the power (commit-bot) wrote: > Presubmit check for 10984040-47001 failed ...
2 years, 6 months ago (2012-10-28 01:52:57 UTC) #33
jam
lgtm
2 years, 6 months ago (2012-10-30 00:23:21 UTC) #34
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/yongsheng.zhu@intel.com/10984040/47001
2 years, 6 months ago (2012-10-30 00:59:43 UTC) #35
I haz the power (commit-bot)
Sorry for I got bad news for ya. Compile failed with a clobber build on ...
2 years, 6 months ago (2012-10-30 01:32:59 UTC) #36
yongsheng
please review the patch. The only change is to expose the symbol of kSkipGpuDataLoading to ...
2 years, 6 months ago (2012-10-30 08:45:25 UTC) #37
Zhenyao Mo
On 2012/10/30 08:45:25, yongsheng wrote: > please review the patch. The only change is to ...
2 years, 6 months ago (2012-10-30 19:16:39 UTC) #38
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/yongsheng.zhu@intel.com/10984040/58002
2 years, 6 months ago (2012-11-01 01:30:30 UTC) #39
I haz the power (commit-bot)
Retried try job too often for step(s) interactive_ui_tests
2 years, 6 months ago (2012-11-01 10:06:15 UTC) #40
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/yongsheng.zhu@intel.com/10984040/58002
2 years, 6 months ago (2012-11-02 02:05:54 UTC) #41
I haz the power (commit-bot)
2 years, 6 months ago (2012-11-02 05:08:03 UTC) #42
Change committed as 165622
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 98db9e2